Index: /main/trunk/model-sites-dev/mars/collect/deam/GET-DEAM.sh
===================================================================
--- /main/trunk/model-sites-dev/mars/collect/deam/GET-DEAM.sh	(revision 34395)
+++ /main/trunk/model-sites-dev/mars/collect/deam/GET-DEAM.sh	(revision 34395)
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ ! -f prepare/deam-manual.pdf ] ; then \
+    wget "http://cvml.unige.ch/databases/DEAM/manual.pdf" -O prepare/deam-manual.pdf ; \
+fi \
+&& \
+if [ ! -f prepare/DEAM_audio.zip ] ; then \
+    wget "http://cvml.unige.ch/databases/DEAM/DEAM_audio.zip" -O prepare/DEAM_audio.zip ; \
+fi \
+&& \
+if [ ! -f prepare/DEAM_Annotations.zip ] ; then \
+    wget "http://cvml.unige.ch/databases/DEAM/DEAM_Annotations.zip" -O prepare/DEAM_Annotations.zip ; \
+fi \
+&& \
+if [ ! -f prepare/DEAM_features.zip ] ; then \
+    wget "http://cvml.unige.ch/databases/DEAM/features.zip" -O prepare/DEAM_features.zip ; \
+fi
+
Index: /main/trunk/model-sites-dev/mars/collect/deam/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/mars/collect/deam/etc/collectionConfig.xml	(revision 34395)
+++ /main/trunk/model-sites-dev/mars/collect/deam/etc/collectionConfig.xml	(revision 34395)
@@ -0,0 +1,309 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gslib="http://www.greenstone.org/skinning">
+	<metadataList>
+		<metadata name="creator"></metadata>
+		<metadata name="maintainer"></metadata>
+		<metadata name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem assigned="true" lang="en" name="name">deam</displayItem>
+		<displayItem assigned="true" lang="en" name="description"></displayItem>
+                <!-- shortDescription is used as a tooltip for collection icon on home page-->
+                <displayItem assigned="true" lang="en" name="shortDescription">deam</displayItem>
+	</displayItemList>
+	<!-- Global format statement -->
+	<format>
+	  <gsf:template name="choose-title">
+	    <gsf:choose-metadata>
+	      <gsf:metadata name="dc.Title"/>
+	      <gsf:metadata name="exp.Title"/>
+	      <gsf:metadata name="ex.dc.Title"/>
+	      <gsf:metadata name="Title"/>
+	      <gsf:default>Untitled</gsf:default>
+	    </gsf:choose-metadata>
+	  </gsf:template>
+	  <!-- modify the collection description template to output the "this collection contains X documents and was last built Y days ago" message -->
+	  <xsl:template name="coll-description">
+	    <p><gslib:collectionDescriptionTextAndServicesLinks/></p>
+	    <xsl:variable name="raw_date"><gslib:collectionMeta name="buildDate"/></xsl:variable>
+	    <xsl:variable name="formatted_date"><xsl:value-of select="util:formatTimeStamp($raw_date, 0, 3, /page/@lang)"/></xsl:variable>
+	    <xsl:variable name="numdocs"><gslib:collectionMeta name="numDocs"/></xsl:variable>
+	    <p><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.standarddescriptiondays', concat($numdocs, ';', $formatted_date))"/></p>
+	  </xsl:template>	
+	</format>
+	<search type="lucene">
+		<level name="document">
+			<displayItem lang="en" name="name">document</displayItem>
+		</level>
+		<level name="section">
+			<displayItem lang="en" name="name">section</displayItem>
+		</level>
+		<defaultLevel name="document"/>
+		<index name="text">
+			<displayItem lang="en" name="name">text</displayItem>
+		</index>
+		<index name="dc.Title,ex.dc.Title,Title">
+			<displayItem lang="en" name="name">titles</displayItem>
+		</index>
+		<index name="Source">
+			<displayItem lang="en" name="name">filenames</displayItem>
+		</index>
+		<defaultIndex name="text"/>
+		<sort name="rank">
+		  <displayItem lang="en" name="name">rank</displayItem>
+                </sort>
+                <sort name="none">
+		  <displayItem lang="en" name="name">natural (build) order</displayItem>
+		</sort>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:link type="document">
+						<xsl:call-template name="choose-title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
+	</search>
+
+	<infodb type="jdbm"/>
+
+	<import>
+		<pluginList>
+			<plugin name="ZIPPlugin"/>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="TextPlugin"/>
+			<plugin name="HTMLPlugin"/>
+			<plugin name="EmailPlugin"/>
+			<plugin name="PDFv2Plugin"/>
+			<!-- Configuring an UnknownConverterPlugin for docx processing with Tika -->
+			<plugin name="UnknownConverterPlugin">
+			  <option name="-exec_cmd" value="java -jar $GSDLHOME/ext/tika/tika-app-*.jar --html --pretty-print --encoding=UTF-8 %%INPUT_FILE &gt; %%OUTPUT"/>
+			  <option name="-convert_to" value="html"/>
+			  <option name="-mime_type" value="application/vnd.openxmlformats-officedocument.wordprocessingml.document"/>
+			  <option name="-srcicon" value="icondocx"/>
+			  <option name="-process_extension" value="docx"/>
+			</plugin>
+			<!-- If you have Tesseract installed (for linux 64 bit machines, there's a tesseract tarball available
+			     for download from http://trac.greenstone.org/browser/gs2-extensions/tesseract/trunk/tesseract-linux-x64.tar.gz
+			     Untested: for windows, you can try installing Tesseract from Win binaries at https://github.com/UB-Mannheim/tesseract/wiki
+			     For Windows and Mac, be sure to add tesseract's bin folder to your PATH and also set the TESSDATA_PREFIX environment variable to
+			     the folder "tessdata" wherein you also need to have the "<3-letter-langcode>.traineddata" files for the languages you want
+			     to OCR.) The Linux 64 bit tesseract extension tarball already does all this for you.
+			     Once you have Tesseract installed, you can activate the following UnknownConverterPlugin to use Tika with Tesseract to OCR PDFs
+			     that contain images by removing the XML comment symbols.
+			-->
+			<!--
+			<plugin name="UnknownConverterPlugin">
+				<option name="-exec_cmd" value="java -jar $GSDLHOME/ext/tika/tika-app-*.jar &#45;&#45;config=$GSDLHOME/ext/tika/ocr-pdfs-config.xml &#45;&#45;html %%INPUT_FILE > %%OUTPUT"/>
+				<option name="-convert_to" value="html"/>
+				<option name="-mime_type" value="application/pdf"/>
+				<option name="-srcicon" value="iconpdf"/>
+				<option name="-process_extension" value="pdf"/>
+			</plugin>
+			-->
+			<plugin name="RTFPlugin"/>
+			<plugin name="WordPlugin"/>
+			<plugin name="PostScriptPlugin"/>
+			<plugin name="PowerPointPlugin"/>
+			<plugin name="ExcelPlugin"/>
+			<plugin name="ImagePlugin"/>
+			<plugin name="ISISPlugin"/>
+			<plugin name="NulPlugin"/>
+			<plugin name="OAIPlugin"/>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+	</import>
+	<browse>
+		<classifier name="List">
+			<option name="-metadata" value="dc.Title,Title"/>
+			<option name="-partition_type_within_level" value="approximate_size"/>
+			<option name="-numeric_partition_type_within_level" value="approximate_size"/>
+			<!-- only use one dc.Title/Title value. change to allvalues to use all of them.-->
+			<option name="-metadata_selection_mode_within_level" value="firstvalue"/>
+			<!--
+				If you are classifying by multiple title values for each document, then 
+				(1) edit above line to: <option name="-metadata_selection_mode_within_level" value="allvalues"/>
+				(2) create a custom <format> statement immediately below this <option> element,
+				and copy the existing browse <format>'s <gsf:template match="documentNode"> into it
+				(3) then change its choose-title line (<xsl:call-template name="choose-title"/>)
+				to the following (note pos=classifiedBy) preceded by the XML comment:
+				Instead of using choose-title here, we want to display the title that the document was classified on
+				<gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+			-->
+			<!--<format>
+			  <gsf:template match="documentNode">
+			    <td valign="top">
+			      <gsf:link type="document">
+				<gsf:icon type="document"/>
+			      </gsf:link>
+			    </td>
+			    <td valign="top">
+			      <gsf:link type="source">
+				<gsf:choose-metadata>
+				  <gsf:metadata name="thumbicon"/>
+				  <gsf:metadata name="srcicon"/>
+				</gsf:choose-metadata>
+			      </gsf:link>
+			    </td>
+			    <td valign="top">
+			      <gsf:link type="document">
+				Instead of using choose-title here, we want to display the title that the document was classified on
+				<gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+				<gsf:switch>
+				  <gsf:metadata name="Source"/>
+				  <gsf:when test="exists"><br/><i>(<gsf:metadata name="Source"/>)</i></gsf:when>
+				</gsf:switch>
+			      </gsf:link>
+			    </td>
+			  </gsf:template>
+			</format>
+			-->
+		</classifier>
+		<classifier name="List">
+			<option name="-metadata" value="Source"/>
+			<option name="-partition_type_within_level" value="approximate_size"/>
+			<option name="-numeric_partition_type_within_level" value="approximate_size"/>
+		</classifier>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="source">
+						<gsf:choose-metadata>
+							<gsf:metadata name="thumbicon"/>
+							<gsf:metadata name="srcicon"/>
+						</gsf:choose-metadata>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="document">
+						<!-- Defined in the global format statement -->
+						<xsl:call-template name="choose-title"/>
+						<gsf:switch>
+							<gsf:metadata name="Source"/>
+							<gsf:when test="exists"><br/><i>(<gsf:metadata name="Source"/>)</i></gsf:when>
+						</gsf:switch>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link type="classifier" style="static">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+				  <gsf:link type="classifier">
+	                            <gsf:metadata name="Title"/>
+				  </gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
+				<gsf:link type="classifier" style="static">
+					<gsf:metadata name="Title"/>
+				</gsf:link>
+			</gsf:template>
+		</format>
+	</browse>
+	<display>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:option name="allowUserComments" value="false"/>
+			<gsf:option name="allowDocumentEditing" value="true"/>
+			<gsf:option name="allowMapGPSEditing" value="true"/>
+			<!-- 
+				Overwriting this template allows you to change the heading of the document.
+			-->
+			<!-- 
+			<gsf:template name="documentHeading">
+				<span style="font-weight:bold; font-size: 120%;">
+					<xsl:call-template name="choose-title"/>
+				</span>
+			</gsf:template>
+			-->
+			
+			<!-- 
+				Overwriting this template can be used to redefine the content of the whole document. 
+				This is useful for simple documents, but not recommended for more complex documents
+				(e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+			-->
+			<!-- 
+			<gsf:template name="documentContent">
+			  <div id="gs-document">
+			    <xsl:call-template name="documentPre"/>
+			    <xsl:call-template name="wrappedSectionImage"/>
+			    <div id="gs-document-text">
+				<xsl:call-template name="documentNodeText"/>
+			    </div>
+		          </div>			
+			</gsf:template>
+			-->
+
+			<!--
+				Overwriting this template can be used to change the content of section headings.
+			-->
+			<!--
+			<gsf:template name="sectionHeading">
+				<xsl:call-template name="choose-title"/>
+			</gsf:template>
+			-->
+			
+			<!--
+				Overwriting this template can be used to change the content of the top-level section.
+			-->
+			<!--
+			<gsf:template name="topLevelSectionContent">
+				<xsl:call-template name="wrappedSectionImage"/>
+				<xsl:call-template name="wrappedSectionText"/>
+			</gsf:template>
+			-->
+			
+			<!--
+				Overwriting this template can be used to change the content of sections.
+			-->
+			<!--
+			<gsf:template name="sectionContent">
+				<xsl:call-template name="wrappedSectionImage"/>
+				<xsl:call-template name="wrappedSectionText"/>
+			</gsf:template>
+			-->
+		</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+	<replaceListRef id="gs2-image" />
+	<serviceRackList>
+		<!-- comment out the following serviceRack if you want to disable RSS for this collection -->	  
+	        <serviceRack name="RSSRetrieve"/>
+		<!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+		<serviceRack name="OAIPMH">
+		  <setName>deam</setName>
+		  <setDescription></setDescription>
+		  <!-- uncomment the following and set the name attribute if 
+		       you want this collection to be part of a super set. -->
+		  <!--<oaiSuperSet name="xxx"/>-->		  
+			<ListMetadataFormats>
+			  <!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+				   <metadataFormat metadataPrefix="prefix"/> -->
+			  
+			  <metadataFormat metadataPrefix="oai_dc">
+			    <!-- you can customize the mappings by adding elements in here. See resources/oai/OAIConfig.xml for the format-->
+			  </metadataFormat>
+			</ListMetadataFormats>
+		</serviceRack> 
+	</serviceRackList>
+</CollectionConfig>
Index: /main/trunk/model-sites-dev/mars/collect/deam/import/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/mars/collect/deam/import/metadata.xml	(revision 34395)
+++ /main/trunk/model-sites-dev/mars/collect/deam/import/metadata.xml	(revision 34395)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+
+    <!-- 
+	 Two examples of the syntax to use to attach metadata to files in a
+         given directory within the 'import' area.
+
+         Copy this file to the folder where the files or interest are, and
+	 then uncomment (or copy and paste) the <FileSet> block and
+	 edit to suit the file name(s) and metadata values required
+    -->
+
+
+    <!-- 
+	 Example 1:
+	   Attached dc.Title and dc.Subject (x 2) to a single, named file
+    -->
+
+<!--
+    <FileSet>
+        <FileName>sample-file1\.txt</FileName>
+        <Description>
+            <Metadata name="dc.Title">Sample Title</Metadata>
+            <Metadata name="dc.Subject">Subject A</Metadata>
+            <Metadata mode="accumulate" name="dc.Subject">Subject B</Metadata>
+        </Description>
+    </FileSet>
+-->
+
+    <!-- 
+	 Example 2:
+	   Attached dc.Subject to all files in this folder that match the given
+	   regular expression 
+    -->
+
+<!--
+    <FileSet>
+        <FileName>.*</FileName>
+        <Description>
+            <Metadata mode="accumulate" name="dc.Subject">Subject X</Metadata>
+        </Description>
+    </FileSet>
+-->
+
+</DirectoryMetadata>