Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb2.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb2.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb2.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter10.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter10.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feeb23f85c09ef213</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637461</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeb2.dir</Metadata>
     <Metadata name="gsdlassocfile">anne1.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb3.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb3.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb3.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter11.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter11.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feeb3ff85c09ef22f</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637461</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeb3.dir</Metadata>
   </Description>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb5.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb5.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb5.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter12.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter12.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feeb5bf85c09ef24b</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637461</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeb5.dir</Metadata>
   </Description>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb7.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb7.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb7.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter13.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter13.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feeb77f85c09ef267</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637462</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeb7.dir</Metadata>
     <Metadata name="gsdlassocfile">howard1.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb9.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb9.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeb9.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter14.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter14.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feeb93f85c09ef283</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637462</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeb9.dir</Metadata>
   </Description>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeba.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeba.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feeba.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter15.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter15.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feebaff85c09ef29f</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637462</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feeba.dir</Metadata>
   </Description>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feebc.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feebc.dir/doc.xml	(revision 33760)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/HASH019e/ce8feebc.dir/doc.xml	(revision 34416)
@@ -4,4 +4,5 @@
 <Section>
   <Description>
+    <Metadata name="gsdlfullsourcepath">/Scratch/ak19/gs2-diffcol-26Apr2019/collect/Tudor-Enhanced/import/englishhistory.net/tudor/letter16.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/letter16.html</Metadata>
     <Metadata name="gsdlsourcefilerenamemethod">url</Metadata>
@@ -20,8 +21,8 @@
     <Metadata name="dc.Subject">Tudor period|Others</Metadata>
     <Metadata name="Identifier">HASH019ece8feebcbf85c09ef2bb</Metadata>
-    <Metadata name="lastmodified">1575637285</Metadata>
-    <Metadata name="lastmodifieddate">20191207</Metadata>
-    <Metadata name="oailastmodified">1575637462</Metadata>
-    <Metadata name="oailastmodifieddate">20191207</Metadata>
+    <Metadata name="lastmodified">1601256680</Metadata>
+    <Metadata name="lastmodifieddate">20200928</Metadata>
+    <Metadata name="oailastmodified">1601256860</Metadata>
+    <Metadata name="oailastmodifieddate">20200928</Metadata>
     <Metadata name="assocfilepath">HASH019e/ce8feebc.dir</Metadata>
   </Description>