Index: main/trunk/greenstone2/macros/french.dm
===================================================================
--- main/trunk/greenstone2/macros/french.dm	(revision 34450)
+++ main/trunk/greenstone2/macros/french.dm	(revision 34451)
@@ -213,6 +213,6 @@
 
 _textdescradmin_ [l=fr] {Vous permet d'ajouter de nouveaux utilisateurs, de connaÃ®tre les
-collections qui se trouvent sur le systÃšme, et de connaÃ®tre les
-informations techniques concernant l'installation de Greenstone
+collections qui se trouvent dans le systÃšme, et d'obtenir des
+informations techniques concernant votre installation de Greenstone.
 
 }
@@ -227,6 +227,5 @@
 
 _textgli_ [l=fr] {l'Interface BibliothÃ©caire}
-_textdescrgli_ [l=fr] {Vous aide Ã  crÃ©er de nouvelles collections, Ã  modifier ou supprimer des
-collections, ou bien encore Ã  ajouter des documents Ã  une collection existante
+_textdescrgli_ [l=fr] {Vous aide Ã  crÃ©er une nouvelle collection, Ã  modifier ou ajouter des documents Ã  une collection existante, ou bien Ã  supprimer des collections.
 }
 
@@ -245,5 +244,5 @@
 
 _textgti_ [l=fr] {Interface de traduction Greenstone }
-_textdescrtranslator_ [l=fr] {Vous aide Ã  mettre Ã  jour les versions multilingues de Greenstone}
+_textdescrtranslator_ [l=fr] {Vous aide Ã  mettre Ã  jour les versions multilingues de l'interface de Greenstone.}
 
 ######################################################################
Index: main/trunk/greenstone2/macros/french2.dm
===================================================================
--- main/trunk/greenstone2/macros/french2.dm	(revision 34450)
+++ main/trunk/greenstone2/macros/french2.dm	(revision 34451)
@@ -42,4 +42,6 @@
 
 _unescotitle_ [l=fr] {Organisation des Nations Unies pour l'Education, la Science et la Culture}
+
+_unescodescr_ [l=fr] {La diffusion des informations Ã©ducationnelles, scientifiques et culturelles mondialement, et plus particuliÃšrement dans les pays en dÃ©veloppement, est centrale parmi les objectifs de l'UNESCO tels que dÃ©finis dans son Programme Information pour Tous, et les technologies appropriÃ©es de l'information et de la communication sont reconnues comme des outils trÃšs importants dans ce cadre.}
 
 _humaninfotitle_ [l=fr] {L'ONG Human Info, basÃ©e Ã  Anvers, en Belgique}
@@ -657,4 +659,5 @@
 }
 
+_texttokilink_ [l=fr] {Afficher image toki plus grande}
 _texttokidesc1_ [l=fr] {En novembre 2000, un toki pou tangata (herminette greenstone) a Ã©tÃ© prÃ©sentÃ© Ã  la BibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande par les MÄori, pour souligner l'important travail accompli sur taonga (trÃ©sor) tels que la &lt;a href=Â Â»_1_Â Â»&gt;collection Niupepa&lt;/a&gt;. Le toki a Ã©tÃ© sculptÃ© par Bernard Makoare, descendant de NgÄti WhÄtua et Te Rarawa. }
 _texttokidescr2_ [l=fr] {Le toki doit symboliser lâimportance du pounamu (greenstone). C'est pour inspirer le travail qui est fait ici avec des qualitÃ©s de force, d'autoritÃ© et de leadership. C'est une pierre dure, un lien Ã  faire. Elle doit Ãªtre utilisÃ©e pour aiguiser et guider l'excellence de la pensÃ©e qui est engrangÃ©e dans la BibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande. }
Index: main/trunk/greenstone2/perllib/strings_fr.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_fr.properties	(revision 34450)
+++ main/trunk/greenstone2/perllib/strings_fr.properties	(revision 34451)
@@ -133,4 +133,5 @@
 buildcol.sections_sort_on_document_metadata:(Seulement Lucene) Ajoute des mÃ©tadonnÃ©es de niveau document au niveau section pour le tri
 buildcol.sections_index_document_metadata.never:Ne pas ajouter de mÃ©tadonnÃ©es de document au niveau section.
+#'
 buildcol.sections_index_document_metadata.always:Ajoute toutes les mÃ©tadonnÃ©es spÃ©cifiÃ©es d'un niveau document  mÃªme s'il existe une mÃ©tadonnÃ©es de niveau section de ce nom.
 buildcol.sections_index_document_metadata.unless_section_metadata_exists:N' ajouter le document de niveau metadata que si le nom de section de niveau metadata n'existe pas.
@@ -187,5 +188,5 @@
 downloadfrom.params:[options gÃ©nÃ©rales] [options spÃ©cifiques de tÃ©lÃ©chargement]
 
-# -- downloadinfo.pl --
+# -- downloadinfo.pl -- 
 
 downloadinfo.desc:Imprimer des informations sur un module de tÃ©lÃ©chargement
@@ -253,5 +254,5 @@
 import.cannot_read_OIDcount:AvertissementÂ : impossible de lire le compte OID du document Ã  partir de%s.\nRÃ©glage de la valeur Ã  0.
 
-# import.cannot_read_earliestdatestamp::AttentionÂ : impossible de lire earliestDatestampcount de la collection Ã  partir deÂ %s.\n RÃ©glage de la valeur Ã  0.
+# import.cannot_read_earliestdatestamp:Warning: unable to read collection's earliestDatestampcount from %s.\nSetting value to 0.
 
 import.cannot_sort:ATTENTION: le plugin d'importation ne peut pas trier les documents si groupsize > 1. L'option sortmeta sera ignorÃ©e.
@@ -577,4 +578,6 @@
 AZSectionList.desc:Variation de AZList qui classe les sections plutÃŽt que les documents. Les entrÃ©es sont triÃ©es par les mÃ©tadonnÃ©es au niveau de la section.
 
+BasClas.accentfold:Enlever tous les accents avant le tri des mÃ©tadonnÃ©es.
+BasClas.casefold:Mettre les mÃ©tadonnÃ©es en miniscule avant le tri.
 BasClas.bad_general_option:Le classificateur %s utilise une mauvaise option. VÃ©rifiez votre fichier de configuration collect.cfg
 
@@ -634,4 +637,11 @@
 
 HTML.url:L'URL de la page web de destination.
+
+List.desc:Un classificateur de liste gÃ©nÃ©ral et flexible avec la plupart des possibilitÃ©s de AZCompactList, mais avec un meilleur support de l'Unicode et une meileure capacitÃ© de tri.
+
+List.metadata:Les champs de mÃ©tadonnÃ©e utilisÃ©s pour la classification. Utiliser '/' pour sÃ©parer les niveaux dans la hiÃ©rarchie et ';' ou ',' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque niveau.
+List.metadata_selection.firstvalue:Ne classifier que par une seule valeur de mÃ©tadonnÃ©es, la premiÃšre rencontrÃ©e.
+List.metadata_selection.firstvalidmetadata:Classer par toutes les valeurs de mÃ©tadonnÃ©es du premier Ã©lÃ©ment de la liste qui a des valeurs.
+List.metadata_selection.allvalues:Classer par toutes les valeurs de mÃ©tadonnÃ©es trouvÃ©es, Ã  partir de tous les Ã©lÃ©ments de la liste.
 
 List.bookshelf_type:ContrÃŽle Ã  quel moment seront crÃ©Ã©es les Ã©tagÃšres.
@@ -642,33 +652,16 @@
 List.classify_sections:Classe des sections au lieu de documents.
 
-List.desc:Un classificateur de liste gÃ©nÃ©ral et flexible avec la plupart des possibilitÃ©s de AZCompactList, mais avec un meilleur support de l'Unicode et une meileure capacitÃ© de tri.
-List.filter_metadata:ElÃ©ment de mÃ©tadonnÃ©e Ã  tester pour l'inclusion d'un document dans un classificateur. Les documents seront inclus si ils dÃ©finissent cette mÃ©tadonnÃ©e.
-List.filter_regex:Expression rÃ©guliÃšre Ã  utiliser dans le test filter_metadata. Si une expression rÃ©guliÃšre est spÃ©cifiÃ©e, seuls les documents pour lesquels filter_metadata correspond Ã  cette expression rÃ©guliÃšre seront inclus.
+List.partition_type_within_level:Le type de division effectuÃ©. Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
 List.level_partition.none:Aucun.
 List.level_partition.per_letter:CrÃ©er une partition pour chaque lettre.
 List.level_partition.constant_size:CrÃ©er une partition de taille constante.
 List.level_partition.approximate_size:CrÃ©e une partition par lettre, puis regroupe ou sÃ©pare les lettres pour obtenir approximativement des partitions de tailles identiques.
-
-List.metadata:Les champs de mÃ©tadonnÃ©e utilisÃ©s pour la classification. Utiliser '/' pour sÃ©parer les niveaux dans la hiÃ©rarchie et ';' ou ',' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque niveau.
-
-List.metadata_selection_mode:DÃ©termine, pour chaque niveau, par combien de valeurs de mÃ©tadonnÃ©es le document est classÃ©. Utilisez '/' pour sÃ©parer les niveaux.
-List.metadata_selection.firstvalue:Ne classifier que par une seule valeur de mÃ©tadonnÃ©es, la premiÃšre rencontrÃ©e.
-List.metadata_selection.firstvalidmetadata:Classer par toutes les valeurs de mÃ©tadonnÃ©es du premier Ã©lÃ©ment de la liste qui a des valeurs.
-List.metadata_selection.allvalues:Classer par toutes les valeurs de mÃ©tadonnÃ©es trouvÃ©es, Ã  partir de tous les Ã©lÃ©ments de la liste.
+List.partition_size_within_level:Le nombre d'Ã©lÃ©ments dans chaque division (ceci s'applique seulement quand la partition_type_within_level est mis Ã  'constant_size' ou 'approximate_size). Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
 List.partition_name_length:La longueur du nom de partition; valeurs par dÃ©faut d'une longueur variable de 1 Ã  3 caractÃšres, dÃ©pendant de combien sont nÃ©cessaires pour distinguer le dÃ©but de la partition de sa fin. Cette option ne s'applique que si partition_type_within_level est Ã  'constant_size'.
-
-List.partition_size_within_level:Le nombre d'Ã©lÃ©ments dans chaque division (ceci s'applique seulement quand la partition_type_within_level est mis Ã  'constant_size' ou 'approximate_size). Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
-
-List.partition_type_within_level:Le type de division effectuÃ©. Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
-
+List.sort_leaf_nodes_using:Champs de mÃ©tadonnÃ©es utilisÃ©s pour trier les nÅuds extrÃªmes. Utiliser '|' pour sÃ©parer les groupes de mÃ©tadonnÃ©e en type table et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque groupe.
 List.reverse_sort_leaf_nodes:Tri les documents enfants par ordre inverse.
-
-List.sort_leaf_nodes_using:Champs de mÃ©tadonnÃ©es utilisÃ©s pour trier les nÅuds extrÃªmes. Utiliser '|' pour sÃ©parer les groupes de mÃ©tadonnÃ©e en type table et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque groupe.
-
 List.sort_using_unicode_collation:Trier en utilisant l'algorithme de rÃ©colement Unicode. NÃ©cessite le tÃ©lÃ©chargement du fichier http://www.unicode.org/Public/UCA/latest/allkeys.txt dans le dossier des librairies Perl lib/Unicode/Collate.
-
-List.standardize_capitalization:Les valeurs de mÃ©tadonnÃ©es sont mises en minuscules pour le tri dans les Ã©tagÃšres. Choisir cette option pour utiliser ces valeurs en minuscules pour les noms d'affichage d'Ã©tagÃšre. Sinon, la variante la plus reprÃ©sentÃ©e sera utilisÃ©e.
-
-List.use_hlist_for:Les champs de mÃ©tadonnÃ©es qui utilisent une hlist au lieu d'une vlist. Utiliser ',' pour sÃ©parer les groupes de mÃ©tadonnÃ©es et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque groupe.
+List.filter_metadata:ElÃ©ment de mÃ©tadonnÃ©e Ã  tester pour l'inclusion d'un document dans un classificateur. Les documents seront inclus si ils dÃ©finissent cette mÃ©tadonnÃ©e.
+List.filter_regex:Expression rÃ©guliÃšre Ã  utiliser dans le test filter_metadata. Si une expression rÃ©guliÃšre est spÃ©cifiÃ©e, seuls les documents pour lesquels filter_metadata correspond Ã  cette expression rÃ©guliÃšre seront inclus.
 
 SimpleList.metadata:Un champ de mÃ©tadonnÃ©e unique ou une liste de champs de mÃ©tadonnÃ©e sÃ©parÃ©s par des virgules utilisÃ©s pour la classification. En suivant l'ordre indiquÃ© par la liste, le premier champ qui contient  une valeur de mÃ©tadonnÃ©e sera utilisÃ©. La liste sera triÃ©e suivant cet Ã©lÃ©ment, Ã  moins que -sort ne soit utilisÃ©. Si aucune mÃ©tadonnÃ©e n'est spÃ©cifiÃ©e, tous les documents seront inclus dans la liste, sinon seuls les documents qui contiennent une valeur de mÃ©tadonnÃ©e seront inclus.
@@ -1370,4 +1363,5 @@
 BasPlugout.no_auxiliary_databases:Ne pas gÃ©nÃ©rer de bases de donnÃ©es archivesinf - utile lors de l'exportation.
 # '
+BasPlugout.site:Le nom du site Greenstone 3. Le nom de site par dÃ©faut pour une installation de GS3 est localsite.
 BasPlugout.output_handle:le descripteur de fichier utilisÃ© pour recevoir les donnÃ©es de sortie
 BasPlugout.output_info:la rÃ©fÃ©rence Ã  un objet arcinfo utilisÃ©e pour stocker des informations au sujet des archives.
@@ -1397,4 +1391,8 @@
 METSPlugout.xslt_mets:Transforme un fichier METS docmets.xml avec le fichier XSLT nommÃ© dans le fichier .
 
+# 
+# GreenstoneSQLPlug strings are shared by both GreenstoneSQLPlugout and GreenstoneSQLPlugin
+#
+
 #
 # Perl module strings
Index: main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties	(revision 34450)
+++ main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties	(revision 34451)
@@ -104,4 +104,9 @@
 
 ## Authentication errors
+auth.error.login:Veuillez vous connecter pour afficher cette page
+auth.error.incorrect_login:Vous n'Ãªtes pas dans le groupe correct pour afficher cette page, voudriez-vous vous connecter en tant qu'utilisateur diffÃ©rent ?
+auth.error.un_or_pw_err:Soit votre nom d'utilisateur soit votre mot de passe est incorrect, veuillez essayer de nouveau.
+auth.error.no_permissions:Cet utilisateur n'a pas les permissions requises pour entreprendre cette action.
+auth.error.no_metadata_permissions:Vous ne pouvez pas modifier les mÃ©tadonnÃ©es sans Ãªtre connectÃ©.
 auth.error.not_logged_in:Vous devez Ãªtre connectÃ© pour accÃ©der Ã  cette page.
 auth.error.admin_not_logged_in:Vous devez Ãªtre connectÃ© en tant qu'administrateur pour accÃ©der Ã  cette page.