Index: main/trunk/model-sites-dev/atea/collect/marae-walls/ACTIVATE.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/ACTIVATE.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/ACTIVATE.sh	(revision 34472)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cwd=`pwd`
+
+col=${cwd##*/}
+
+site_with_subdirs=${cwd##*/sites/}
+site=${site_with_subdirs%%/*}
+
+library_url=http://localhost:8383/greenstone3/library
+
+
+sudo -u www-data -- \
+     bash -c "pushd ../../../../../ && . gs3-setup.sh && popd && activate.pl -site $site -library_url $library_url $col"
+
+
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/BUILDCOL.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/BUILDCOL.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/BUILDCOL.sh	(revision 34472)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+cwd=`pwd`
+
+col=${cwd##*/}
+
+site_with_subdirs=${cwd##*/sites/}
+site=${site_with_subdirs%%/*}
+
+
+sudo -u www-data -- \
+     bash -c "pushd ../../../../../ && . gs3-setup.sh && popd && buildcol.pl -removeold -site $site $col $*"
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/FULL-REBUILD.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/FULL-REBUILD.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/FULL-REBUILD.sh	(revision 34472)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+./IMPORT.sh && ./BUILDCOL.sh  && ./ACTIVATE.sh && ./RECONFIGURE-COL.sh
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/IMPORT.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/IMPORT.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/IMPORT.sh	(revision 34472)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+cwd=`pwd`
+
+col=${cwd##*/}
+
+site_with_subdirs=${cwd##*/sites/}
+site=${site_with_subdirs%%/*}
+
+
+sudo -u www-data -- \
+     bash -c "pushd ../../../../../ && . gs3-setup.sh && popd && import.pl -removeold -site $site $col $*"
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/PRE-IMPORT-PREPARE.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/PRE-IMPORT-PREPARE.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/PRE-IMPORT-PREPARE.sh	(revision 34472)
@@ -0,0 +1,3 @@
+#!/bin/bash -x
+
+rsync -pav ~/google-drive/greenstone3-pre-import/marae-walls/Walls import/.
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/RECONFIGURE-COL.sh
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/RECONFIGURE-COL.sh	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/RECONFIGURE-COL.sh	(revision 34472)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+cwd=`pwd`
+col=${cwd##*/}
+
+site_tail=${cwd%*/*/*}
+site=${site_tail##*/}
+
+echo "Full reconfiguration of site/col:"
+echo "  $site/$col"
+echo ""
+
+
+#reconfig_url="http://localhost:8383/greenstone3/$site-library?a=s&sa=c&sc=$col"
+reconfig_url="http://localhost:8383/greenstone3/library?a=s&sa=c&sc=$col"
+
+echo "Running:"
+echo "  wget -O /dev/null \"$reconfig_url\""
+
+wget -O /dev/null "$reconfig_url" >/dev/null 2>&1 
+
+status=$?
+
+if [ $status != 0 ] ; then
+    echo "Error encountered when requesting Greenstone3 reconfiguration" 1>&2
+else
+    echo "Done"
+fi
+
+
Index: main/trunk/model-sites-dev/atea/collect/marae-walls/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/atea/collect/marae-walls/etc/collectionConfig.xml	(revision 34472)
+++ main/trunk/model-sites-dev/atea/collect/marae-walls/etc/collectionConfig.xml	(revision 34472)
@@ -0,0 +1,244 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:gslib="http://www.greenstone.org/skinning" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<metadataList>
+		<metadata lang="en" name="creator"/>
+		<metadata lang="en" name="maintainer"/>
+		<metadata lang="en" name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem assigned="true" lang="en" name="name">Marae Walls</displayItem>
+		<displayItem assigned="true" lang="en" name="text">text</displayItem>
+		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
+		<displayItem assigned="true" lang="en" name="Source">filenames</displayItem>
+		<displayItem assigned="true" lang="en" name="document:text">text</displayItem>
+		<displayItem assigned="true" lang="en" name="document:ex.Title">Title</displayItem>
+		<displayItem assigned="true" lang="en" name="document:ex.Source">Source</displayItem>
+		<displayItem assigned="true" lang="en" name="document">document</displayItem>
+		<displayItem assigned="true" lang="en" name="section">section</displayItem>
+		<displayItem assigned="true" lang="en" name="shortDescription">Marea Walls</displayItem>
+		<displayItem assigned="true" lang="en" name="description">Bubba and Dean talk about the symbolism to the walls of the Te Rau Aroha Marae.</displayItem>
+	</displayItemList>
+	<format>
+			<gsf:template name="choose-title">
+				<gsf:choose-metadata>
+					<gsf:metadata name="dc.Title"/>
+					<gsf:metadata name="exp.Title"/>
+					<gsf:metadata name="ex.dc.Title"/>
+					<gsf:metadata name="Title"/>
+					<gsf:default>Untitled</gsf:default>
+				</gsf:choose-metadata>
+			</gsf:template>
+		</format>
+	<search type="lucene">
+		<level name="document">
+			<displayItem lang="en" name="name">document</displayItem>
+		</level>
+		<level name="section">
+			<displayItem lang="en" name="name">section</displayItem>
+		</level>
+		<defaultLevel name="document"/>
+		<index name="dc.Title,ex.dc.Title,Title">
+			<displayItem lang="en" name="name">titles</displayItem>
+		</index>
+		<defaultIndex name="dc.Title,ex.dc.Title,Title"/>
+		<sort name="rank">
+			<displayItem lang="en" name="name">rank</displayItem>
+		</sort>
+		<sort name="none">
+			<displayItem lang="en" name="name">natural (build) order</displayItem>
+		</sort>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+		<format>  <gsf:template match="documentNode">
+    <td valign="top">
+      <gsf:link type="document">
+        <gsf:metadata name="srcicon"/>
+      </gsf:link>
+    </td>
+    <td>
+      <gsf:link type="document">
+        <xsl:call-template name="choose-title"/>
+      </gsf:link>
+    </td>
+  </gsf:template>
+
+</format>
+	</search>
+	<infodb type="jdbm"/>
+	<import>
+		<pluginList>
+			<plugin name="ZIPPlugin"/>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="UnknownPlugin">
+				<option name="-file_format" value="Audio"/>
+				<option name="-mime_type" value="audio/wav"/>
+				<option name="-srcicon" value="iconmp3"/>
+				<option name="-process_extension" value="wav"/>
+			</plugin>
+			<plugin name="TextPlugin"/>
+			<plugin name="HTMLPlugin"/>
+			<plugin name="EmailPlugin"/>
+			<plugin name="PDFv2Plugin"/>
+			<plugin name="RTFPlugin"/>
+			<plugin name="WordPlugin"/>
+			<plugin name="PostScriptPlugin"/>
+			<plugin name="PowerPointPlugin"/>
+			<plugin name="ExcelPlugin"/>
+			<plugin name="ImagePlugin"/>
+			<plugin name="ISISPlugin"/>
+			<plugin name="NulPlugin"/>
+			<plugin name="OAIPlugin"/>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+	</import>
+	<browse>
+		<classifier name="List">
+			<option name="-metadata" value="dc.Title;Title"/>
+			<option name="-partition_type_within_level" value="approximate_size"/>
+		</classifier>
+		<format>  <gsf:template match="documentNode">
+    <td valign="top">
+      <gsf:link type="document">
+<!--
+<gsf:icon type="document"/>
+-->
+        <gsf:metadata name="srcicon"/>
+      </gsf:link>
+    </td>
+<!--
+<td valign="top">
+<gsf:link type="source">
+<gsf:choose-metadata>
+<gsf:metadata name="thumbicon"/>
+<gsf:metadata name="srcicon"/>
+</gsf:choose-metadata>
+</gsf:link>
+</td>
+-->
+    <td valign="top">
+      <gsf:link type="document">
+<!--
+Defined in the global format statement
+-->
+        <xsl:call-template name="choose-title"/>
+      </gsf:link>
+    </td>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
+    <td valign="top">
+      <gsf:link style="static" type="classifier">
+        <gsf:icon type="classifier"/>
+      </gsf:link>
+    </td>
+    <td valign="top">
+      <gsf:link type="classifier">
+        <gsf:metadata name="Title"/>
+      </gsf:link>
+    </td>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
+    <gsf:link style="static" type="classifier">
+      <gsf:metadata name="Title"/>
+    </gsf:link>
+  </gsf:template>
+
+</format>
+	</browse>
+	<display>
+		<format>  <gsf:option name="TOC" value="true"/>
+  <gsf:option name="AllowUserComments" value="false"/>
+<!--
+Overwriting this template allows you to change the heading of the document.
+-->
+<!--
+<gsf:template name="documentHeading">
+<span style="font-weight:bold; font-size: 120%;">
+<xsl:call-template name="choose-title"/>
+</span>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to redefine the content of the whole document. This is useful for simple documents, but not recommended for more complex documents (e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+-->
+  <gsf:template name="documentContent">
+    <div id="gs-document">
+      <xsl:call-template name="documentPre"/>
+      <div class="gs-audio-player" id="viewer" style="text-align: center;">
+        <div style="padding: 20px;">
+          <audio controls="controls" style="width: 100%"><source><xsl:attribute name="src"><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="srclink_file"/></xsl:attribute></source> Your web browser does not support the this form of audio.</audio>
+        </div>
+      </div>
+<!--
+<xsl:call-template name="wrappedSectionImage"/>
+<div id="gs-document-text">
+<xsl:call-template name="documentNodeText"/>
+</div>
+-->
+    </div>
+  </gsf:template>
+<!--
+Overwriting this template can be used to change the content of section headings.
+-->
+<!--
+<gsf:template name="sectionHeading">
+<xsl:call-template name="choose-title"/>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of the top-level section.
+-->
+<!--
+<gsf:template name="topLevelSectionContent">
+<xsl:call-template name="wrappedSectionImage"/>
+<xsl:call-template name="wrappedSectionText"/>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of sections.
+-->
+<!--
+<gsf:template name="sectionContent">
+<xsl:call-template name="wrappedSectionImage"/>
+<xsl:call-template name="wrappedSectionText"/>
+</gsf:template>
+-->
+
+</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+	<replaceListRef id="gs2-image"/>
+	<serviceRackList><!-- comment out the following serviceRack if you want to disable RSS for this collection -->
+		<serviceRack name="RSSRetrieve"/><!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+		<serviceRack name="OAIPMH">
+			<setName>marea-walls</setName>
+			<setDescription/><!-- uncomment the following and set the name attribute if 
+		       you want this collection to be part of a super set. --><!--<oaiSuperSet name="xxx"/>-->
+			<ListMetadataFormats><!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+				   <metadataFormat metadataPrefix="prefix"/> -->
+				<metadataFormat metadataPrefix="oai_dc"><!-- you can customize the mappings by adding elements in here. See resources/oai/OAIConfig.xml for the format--></metadataFormat>
+			</ListMetadataFormats>
+		</serviceRack>
+	</serviceRackList>
+
+  <security scope="document" default_access="private" >
+    <!-- Document level security. All documents are private, unless you are in the atea group -->
+    <exception>
+      <group name="atea"/>
+    </exception>
+    
+    <!--
+    <exception>
+      < ! - - except for the privateset list of documents which are private, user must be in 'atea' group - - >
+      <documentSet name="privateset"/>
+      <group name="atea"/>
+    </exception>
+    <documentSet name="privateset">
+      <match>0d6e1775a1ab4e02a49b13ccdcb639be</match>
+    </documentSet>
+    -->
+  </security>
+	
+</CollectionConfig>